Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601226 - disable qemu vlans
disable qemu vlans
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 10:06 EDT by Michael S. Tsirkin
Modified: 2013-01-09 17:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
QEMU vlans are not supported and may be removed in future releases.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 11:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2010-06-07 10:06:03 EDT
Description of problem: qemu vlans is a legacy way to set up networking
(the new is with -netdev).

There seems to be little need to support
them, enabling vlans leads to user confusion and bad performance.
Comment 1 Markus Armbruster 2010-06-10 04:54:40 EDT
Candiates for disabling include -net, host_net_add, host_net_remove.  

If you want to be thorough, remove qdev property "vlan" (drop it from DEFINE_NIC_PROPERTIES()).
Comment 2 Dor Laor 2010-07-15 11:16:09 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Using qemu vlans is not supported (expect for the internal libguestfs application)
Comment 3 Amit Shah 2010-07-16 03:17:44 EDT
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Using qemu vlans is not supported (expect for the internal libguestfs application)+Using qemu vlans is not supported (except for the internal libguestfs application) and may be deprecated in future releases.
Comment 4 Markus Armbruster 2010-07-16 07:24:10 EDT
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Using qemu vlans is not supported (except for the internal libguestfs application) and may be deprecated in future releases.+Using qemu vlans is not supported (except for the internal libguestfs application) and may be removed in future releases.
Comment 5 Markus Armbruster 2010-07-16 07:27:02 EDT
Why mention libguestfs in the technical note?
Comment 6 Richard W.M. Jones 2010-07-16 08:46:45 EDT
I don't think there's any need to mention libguestfs.

Note that the libguestfs we ship in RHEL 6.0 will have a
requirement which should prevent it from being installed
alongside a rebased future qemu RHEL >= 6.1 RPM:

https://bugzilla.redhat.com/show_bug.cgi?id=612309#c5
Comment 7 Markus Armbruster 2010-07-20 08:52:40 EDT
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Using qemu vlans is not supported (except for the internal libguestfs application) and may be removed in future releases.+QEMU vlans are not supported and may be removed in future releases.

Note You need to log in before you can comment on or make changes to this bug.